#include <iostream>
#include <vector>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	int n , f=0;
	cin >> n;
	vector<int>x(n);
		vector<int>y(n);
			vector<int>z(n);
	for(int i = 0; i<n; i++)
	{
		cin >> x[i];
	}
		for(int j = 0; j<n; j++)
		{
			cin >> y[j];
		}
			for(int p = 0; p<n; p++)
			{		
				cin >> z[p];
			}
	for(int i = 0; i<n; i++)
	{
		for(int j = 0; j<n; j++)
		{
			for(int p = 0; p<n; p++)
			{
				if(x[i]==y[j] && z[p]==p+1)
				{
					f++;
				}
			}
		}
	}
	f++;
	cout << f;
			
	
	
	
	return 0;
}